Spreadsheet Cloud API: aggregateCellsByColor_Deprecated

Deprecated: Use String) instead.This endpoint exists only for backward compatibility with clients that used the misspelledroute calculate/aggergate/color. It will be removed in a future major version.

Quick Start

Interface Details

Endpoint

PUT http://api.aspose.cloud/v4.0/cells/calculate/aggergate/color

Function Description

The request parameters of aggregateCellsByColor_Deprecated API are:

| Parameter Name | Type | Path/Query String/HTTPBody | Description | | :- | :- | :- |:- | |Spreadsheet|File|FormData|Upload spreadsheet file.| |worksheet|String|Query|| |range|String|Query|| |operation|String|Query|| |colorPosition|String|Query|| |region|String|Query|Spreadsheet region/language setting (e.g., en-US, fr-FR). Influences number formatting, date parsing, and locale‑specific behavior.| |password|String|Query|The password for opening spreadsheet file.|

Response Description

{
  "Name": "AggregateResultByColorResponse",
  "Type": "Class",
  "ParentName": "CellsCloudResponse",
  "IsAbstract": false,
  "Properties": [
    {
      "Name": "AggregateResults",
      "Nullable": true,
      "ReadOnly": false,
      "IsInherit": false,
      "DataType": {
        "Identifier": "Container",
        "Reference": "AggregateResultByColor",
        "ElementDataType": {
          "Identifier": "Class",
          "Reference": "AggregateResultByColor",
          "Name": "class:aggregateresultbycolor"
        },
        "Name": "container"
      }
    },
    {
      "Name": "Code",
      "Nullable": true,
      "ReadOnly": false,
      "IsInherit": true,
      "DataType": {
        "Identifier": "Integer",
        "Name": "integer"
      }
    },
    {
      "Name": "Status",
      "Nullable": true,
      "ReadOnly": false,
      "IsInherit": true,
      "DataType": {
        "Identifier": "String",
        "Name": "string"
      }
    }
  ]
}

OpenAPI Specification

The OpenAPI Specification defines a publicly accessible programming interface and lets you carry out REST interactions directly from a web browser.

[Back to API list]
[Back to README]